require "active_support/core_ext/module/attribute_accessors"

module CatEngine
  def self.configure
    yield self
  end

  mattr_accessor(:cat_path) { "config/cat_engine" }
  mattr_accessor(:cat_engine_source_path) { File.join(__dir__, "../../vendor/cat_engine") }
  mattr_accessor(:cat_engine_executable_path) { File.expand_path("tmp/cat_engine.exe") }
end

